import java.awt.Graphics;
import java.awt.Rectangle;
import javax.swing.*;

public class Coffre extends Entite {
	
	
	 int ouvert;
	 Rectangle area;
	
	
	public Coffre(float x, float y, int largeur, int hauteur) {
		super(x,y,largeur,hauteur);
		ouvert=0;
		area = new Rectangle((int)x-20,(int)y-20,largeur+40,hauteur+40);
	}
	
	
	
	
	
	public void dessine(Graphics g, JPanel jf){
		g.drawImage(ImageLoader.ImgLoader("coffre"+ouvert+".gif"), (int) (x - Fenetre.camera.getxOffset()) , (int) (y - Fenetre.camera.getyOffset()), largeur, hauteur, jf);
	}
	
	public void tick(){
		ouverture();
	}
	
	//Si on est dans sa zone, qu'il n'a pas encore été ouvert et qu'on appuie sur entrer alors il drop un diamant
	public void ouverture(){
		if(area.intersects(Fenetre.j1.getCollisionBounds(0,0)) && ouvert == 0 && Fenetre.clavier.enter){
			ouvert=1;
			Audio.playSound("coffre.wav");
			Fenetre.gItem.addItem(Liste.iDiamant.nouvelItem((int)x-50,(int) y));
		}
	}
	
	public void subisAttaque(){}
	
	
	
}

